/*
 * 文 件 名:  SheetMain
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2019/8/13
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.citybrain.commons.base.bean.poi;

import java.util.List;

/**
 * 创建Excel文件对象主体
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2019/8/13]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class SheetMain<T> {
    /**
     * 开始行
     */
    private int startRow = 0;

    /**
     * 开始列
     */
    private int startCell = 0;

    /**
     * 工作表名称
     */
    private String sheetName;

    /**
     * 工作表标题
     */
    private String sheetTitle;

    /**
     * 工作表标题样式
     */
    private CellStyle titleCellStyle;

    /**
     * 工作表头标题
     */
    private List<String> sheetHeads;

    /**
     * 工作表列宽度
     */
    private List<Integer> cellWidths;

    /**
     * 工作表头标题样式
     */
    private CellStyle headCellStyle;

    /**
     * 工作表内容主体
     */
    private List<T> Ts;

    /**
     * 工作表内容主体样式
     */
    private CellStyle tCellStyle;

    /**
     * 工作表页面列表对象
     */
    private List<SheetFooter> sheetFooters;

    /**
     * 工作表脚标内容样式
     */
    private CellStyle footerCellStyle;

    /**
     * 初始化样式
     *
     * @param startRow        开始行
     * @param startCell       开始列
     * @param cellWidths      列宽
     * @param titleCellStyle  总标题样式
     * @param headCellStyle   列表标题样式
     * @param tCellStyle      列表样式
     * @param footerCellStyle 列表脚标样式
     */
    public void init(Integer startRow, Integer startCell, List<Integer> cellWidths, CellStyle titleCellStyle,
        CellStyle headCellStyle, CellStyle tCellStyle, CellStyle footerCellStyle) {
        if (null != startRow) {
            this.startRow = startRow;
        }

        if (null != startCell) {
            this.startCell = startCell;
        }

        this.cellWidths = cellWidths;

        if (null != titleCellStyle) {
            this.titleCellStyle = titleCellStyle;
        }

        if (null != headCellStyle) {
            this.headCellStyle = headCellStyle;
        }

        if (null != tCellStyle) {
            this.tCellStyle = tCellStyle;
        }

        if (null != footerCellStyle) {
            this.footerCellStyle = footerCellStyle;
        }
    }

    public int getStartRow() {
        return startRow;
    }

    public void setStartRow(int startRow) {
        this.startRow = startRow;
    }

    public int getStartCell() {
        return startCell;
    }

    public void setStartCell(int startCell) {
        this.startCell = startCell;
    }

    public String getSheetName() {
        return sheetName;
    }

    public void setSheetName(String sheetName) {
        this.sheetName = sheetName;
    }

    public String getSheetTitle() {
        return sheetTitle;
    }

    public void setSheetTitle(String sheetTitle) {
        this.sheetTitle = sheetTitle;
    }

    public CellStyle getTitleCellStyle() {
        return titleCellStyle;
    }

    public void setTitleCellStyle(CellStyle titleCellStyle) {
        this.titleCellStyle = titleCellStyle;
    }

    public List<String> getSheetHeads() {
        return sheetHeads;
    }

    public void setSheetHeads(List<String> sheetHeads) {
        this.sheetHeads = sheetHeads;
    }

    public List<Integer> getCellWidths() {
        return cellWidths;
    }

    public void setCellWidths(List<Integer> cellWidths) {
        this.cellWidths = cellWidths;
    }

    public CellStyle getHeadCellStyle() {
        return headCellStyle;
    }

    public void setHeadCellStyle(CellStyle headCellStyle) {
        this.headCellStyle = headCellStyle;
    }

    public List<T> getTs() {
        return Ts;
    }

    public void setTs(List<T> ts) {
        Ts = ts;
    }

    public CellStyle gettCellStyle() {
        return tCellStyle;
    }

    public void settCellStyle(CellStyle tCellStyle) {
        this.tCellStyle = tCellStyle;
    }

    public List<SheetFooter> getSheetFooters() {
        return sheetFooters;
    }

    public void setSheetFooters(List<SheetFooter> sheetFooters) {
        this.sheetFooters = sheetFooters;
    }

    public CellStyle getFooterCellStyle() {
        return footerCellStyle;
    }

    public void setFooterCellStyle(CellStyle footerCellStyle) {
        this.footerCellStyle = footerCellStyle;
    }
}