package com.huashe.citybrain.commons.base.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.core.io.Resource;
import org.springframework.core.io.support.PathMatchingResourcePatternResolver;
import org.springframework.core.io.support.ResourcePatternResolver;

import java.io.IOException;

/**
 * @author yineg
 */
public abstract class ResourceUtils {
    private static final Logger log = LoggerFactory.getLogger(ResourceUtils.class);

    public static Resource[] getResources(String locationPattern) throws IOException {
        ResourcePatternResolver resolver = new PathMatchingResourcePatternResolver();
        Resource[] resources = resolver.getResources(locationPattern);
        if (resources != null) {
            return resources;
        }
        return new Resource[0];
    }

    public static Resource getResource(String locationPattern) throws IOException {
        Resource[] resources = getResources(locationPattern);

        if (resources.length == 0) {
            return null;
        }

        if (resources.length > 1) {
            log.error("find file gt 1 for:" + locationPattern);
        }

        return resources[0];
    }
}
