package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.ElecMeterH;
import com.ruoyi.ems.mapper.ElecMeterHMapper;
import com.ruoyi.ems.model.QueryMeter;
import com.ruoyi.ems.service.IElecMeterHService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用电计量-小时Service业务层处理
 *
 * @author ruoyi
 * @date 2024-12-03
 */
@Service
public class ElecMeterHServiceImpl implements IElecMeterHService {
    @Autowired
    private ElecMeterHMapper elecMeterHMapper;

    /**
     * 查询用电计量-小时列表
     *
     * @param queryMeter 用电计量-小时
     * @return 用电计量-小时
     */
    @Override
    public List<ElecMeterH> selectElecMeterHList(QueryMeter queryMeter) {
        return elecMeterHMapper.selectElecMeterHList(queryMeter);
    }

    /**
     * 新增用电计量-小时
     *
     * @param elecMeterH 用电计量-小时
     * @return 结果
     */
    @Override
    public int insertElecMeterH(ElecMeterH elecMeterH) {
        return elecMeterHMapper.insertElecMeterH(elecMeterH);
    }

    /**
     * 修改用电计量-小时
     *
     * @param elecMeterH 用电计量-小时
     * @return 结果
     */
    @Override
    public int updateElecMeterH(ElecMeterH elecMeterH) {
        return elecMeterHMapper.updateElecMeterH(elecMeterH);
    }

    /**
     * 删除用电计量-小时信息
     *
     * @param date 日期
     * @return 结果
     */
    @Override
    public int deleteElecMeterHByDate(String date) {
        return elecMeterHMapper.deleteElecMeterHByDate(date);
    }
}
